# Data search

<p>The endpoints query the Geox and Opportunity Assessor database for the organizational objects representing the geological entities basin, play and segment as well as the prospect. Basins, plays, prospects, and segments are arranged in a folder hierarchy. Each folder can contain other folders.</p><p>If you know the name of the prospect analysis you are looking for, or the prospect folder name, you can search for the analysis using the search endpoint and find the prospect analysis ID that way.</p><p>Alternatively, start with the /basins endpoint to find all root basins you have access to in your database. In the response you will find IDs of each root basin's children, i.e. sub-basins, plays, and prospects.</p> 


```plain {% title="Client ID" %}
edf17d1f8cc3461d8ba3f1a98ce7be1b
```

Version: 1

## Servers

```
https://eu-api.delfi.slb.com/spar
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

### appkey

AppKey/ConsumerKey from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [Data search](https://developer.slb.com/_bundle/solutions/opportunity-assessor/apis/data-search.yaml)

## Basins

 - [GET /assessments/v1/basins](https://developer.slb.com/solutions/opportunity-assessor/apis/data-search/basins/getallrootbasins.md): Gets all root-level basin folders that the user has access to in the GeoX and Opportunity Assessor database. Only root-level objects are returned; no children are returned, even when they exist.
 - [GET /assessments/v1/basins/{id}](https://developer.slb.com/solutions/opportunity-assessor/apis/data-search/basins/getbasin.md): Returns the basin with the supplied ID along with IDs of its child folders and associated analyses. Child objects are returned one level down only. No grandchildren are returned, even when they exist.
## Plays

 - [GET /assessments/v1/plays/{id}](https://developer.slb.com/solutions/opportunity-assessor/apis/data-search/plays/getplay.md): Returns the play with the supplied ID along with IDs of its child folders and associated analyses. Child objects are returned one level down only. No grandchildren are returned, even when they exist.
## Prospects

 - [GET /assessments/v1/prospects/{id}](https://developer.slb.com/solutions/opportunity-assessor/apis/data-search/prospects/getprospect.md): Returns the prospect with the supplied ID along with IDs of its associated analyses.
## Segments

 - [GET /assessments/v1/segments/{id}](https://developer.slb.com/solutions/opportunity-assessor/apis/data-search/segments/getsegment.md): Returns the segment with the supplied ID along with IDs of its associated analyses.
## ProspectAnalysis

 - [GET /assessments/v1/prospectanalysis](https://developer.slb.com/solutions/opportunity-assessor/apis/data-search/prospectanalysis/getprospectanalysisbyname.md): Returns a list of prospect analyses that fit the search criteria. The results are paginated.
 - [GET /assessments/v1/prospectanalysis/{id}](https://developer.slb.com/solutions/opportunity-assessor/apis/data-search/prospectanalysis/getprospectanalysisdata.md): Returns the prospect analysis with the supplied ID along with its metadata, properties, inputs and results.
